Page MenuHomePhabricator

theme: rework a bit the tab_pager theme
ClosedPublic

Authored by bu5hm4n on Oct 8 2019, 7:16 AM.

Details

Summary

the theme now works in a way where the current tab is in one color with
the content, so its correctly assosiated. The not selected items are in
a bit more gray setting so its meant to be in the background.

https://pasteboard.co/IB1UV8o.png

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Oct 8 2019, 7:16 AM
bu5hm4n requested review of this revision.Oct 8 2019, 7:16 AM
bu5hm4n updated this revision to Diff 25965.Oct 9 2019, 5:58 AM

move boolean flag to single_selectable

I agree this makes the tabs visually stick to their pages, making them more obvious. However, there was a lot of effort put into the previous tab design so maybe we should ask the previous artist if he/she is OK with the change...

This revision was not accepted when it landed; it landed in state Needs Review.Feb 3 2020, 8:17 AM
Closed by commit rEFL02245a2494ea: theme: rework a bit the tab_pager theme (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.